Bug 1778299 - Review Request: retroarch - Cross-platform, sophisticated frontend for the libretro API
Summary: Review Request: retroarch - Cross-platform, sophisticated frontend for the li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-29 19:34 UTC by Artem
Modified: 2019-12-13 00:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 00:54:18 UTC
Type: Bug
vitaly: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-11-29 19:34:30 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01120670-retroarch/retroarch.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01120670-retroarch/retroarch-1.8.1-3.fc31.src.rpm

Description:
libretro is an API that exposes generic audio/video/input callbacks. A frontend
for libretro (such as RetroArch) handles video output, audio output, input and
application lifecycle. A libretro core written in portable C or C++ can run
seamlessly on many platforms with very little to no porting effort.

While RetroArch is the reference frontend for libretro, several other projects
have used the libretro interface to include support for emulators and/or game
engines. libretro is completely open and free for anyone to use.


Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/retroarch

Comment 4 Vitaly Zaitsev 2019-12-01 20:31:50 UTC
I will review this package.

Comment 5 Vitaly Zaitsev 2019-12-01 20:41:44 UTC
> %if %{with freeworld}
> ### Non-free cores
> %endif

You cannot recommend packages from third-party repositories. Instead you can use reverse rich-deps method from such non-free packages.

> ### Available in RPM Fusion

Please remove third-party repository name.

> %{version}-%{release}

Can be replaced by %{?epoch:%{epoch}:}%{version}-%{release} to avoid future issues with Epoch bumps.

> %if %{with freeworld}
> %files freeworld
> %else
> %files
> %endif

Your freeworld package now will conflict with original and this is not allowed both in Fedora and RPM Fusion.

> %license %{_licensedir}/%{name}-assets/COPYING

You must use %license or {_licensedir}/%{name}-assets/COPYING, but not both of them simultaneously.

> sed -i 

All sed calls should be replaced by a single one.

Comment 6 Artem 2019-12-02 08:43:13 UTC
> You cannot recommend packages from third-party repositories. Instead you can use reverse rich-deps method from such non-free packages.

I didn't recommend, this is just for local self build. I asked about this in rpm chat and answer was it's fine if with %bcond, but need investigate this more. Chromium did the same for example
https://src.fedoraproject.org/rpms/chromium/blob/master/f/chromium.spec#_30
Please, this is useful thing if someone want's to build non-free version, but this should "NEVER EVER EVER turn this on in official builds" as it says in Chromium build

> Please remove third-party repository name.

But why? RPM Fusion is somewhat semi-official? Can we use this for tip for this one who want to made self build locally?

> Can be replaced by %{?epoch:%{epoch}:}%{version}-%{release} to avoid future issues with Epoch bumps.

Done.

> Your freeworld package now will conflict with original and this is not allowed both in Fedora and RPM Fusion.

I have no plans YET to package RetroArch for RPM Fusion. Non free version can be grabbed from Flathub anyway.

> You must use %license or {_licensedir}/%{name}-assets/COPYING, but not both of them simultaneously.

Done.

> All sed calls should be replaced by a single one.

Done.


https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01121819-retroarch/retroarch.spec

https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01121819-retroarch/retroarch-1.8.1-7.fc31.src.rpm

Comment 7 Artem 2019-12-02 08:49:01 UTC
I forgot to add epoch to Recommneds. I'll fix this in next build.

Recommends:     %{name}-assets = %{?epoch:%{epoch}:}%{version}-%{release}
Recommends:     %{name}-filters%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

Comment 8 Vitaly Zaitsev 2019-12-02 11:44:00 UTC
> Please, this is useful thing if someone want's to build non-free version

OK, you use it, but only in %if %{with freeworld} block.

> RPM Fusion is somewhat semi-official?

No. This is a third-party repository. Some people don't like even its name, so please remove this comment from SPEC.

> I have no plans YET to package RetroArch for RPM Fusion.

But issues with dependency loop must be resolved anyway.

Comment 9 Vitaly Zaitsev 2019-12-02 12:08:37 UTC
Please forward GIT_VERSION=%{shortcommit} when building assets.

Also updater should be disabled and removed by this patch:

--- a/menu/menu_displaylist.c
+++ b/menu/menu_displaylist.c
@@ -3109,11 +3109,13 @@ static int menu_displaylist_parse_option
             MENU_SETTING_ACTION, 0, 0);
 
 #ifdef HAVE_UPDATE_ASSETS
+/*
    menu_entries_append_enum(info->list,
          msg_hash_to_str(MENU_ENUM_LABEL_VALUE_UPDATE_ASSETS),
          msg_hash_to_str(MENU_ENUM_LABEL_UPDATE_ASSETS),
          MENU_ENUM_LABEL_UPDATE_ASSETS,
          MENU_SETTING_ACTION, 0, 0);
+*/
 #endif
 
    menu_entries_append_enum(info->list,

Comment 10 Vitaly Zaitsev 2019-12-02 12:20:40 UTC
Instead of patching code, you can just edit file qb/config.params.sh:

HAVE_ONLINE_UPDATER=no
HAVE_UPDATE_CORES=no
HAVE_UPDATE_ASSETS=no

Full line for %pre:

sed -e '/HAVE_ONLINE_UPDATER=yes/HAVE_ONLINE_UPDATER=no/g' -e '/HAVE_UPDATE_CORES=yes/HAVE_UPDATE_CORES=no/g' -e 's/HAVE_UPDATE_ASSETS=yes/HAVE_UPDATE_ASSETS=no/g' -i qb/config.params.sh

Comment 11 Artem 2019-12-02 14:32:33 UTC
Still WIP

https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01122000-retroarch/retroarch.spec

https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01122000-retroarch/retroarch-1.8.1-8.fc31.src.rpm


> Instead of patching code, you can just edit file qb/config.params.sh:

This new options seems like appears in next app release and now only available in master branch.

Comment 14 Vitaly Zaitsev 2019-12-02 18:02:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/libretro,
     /usr/share/licenses/retroarch-assets, /usr/lib64/retroarch
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib64/retroarch/filters(Failed, C, defaulting, locale,, set, to),
     /usr/lib64/retroarch/filters/audio(Failed, C, defaulting, locale,,
     set, to), /usr/lib64/retroarch/filters/video(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/branding(Failed, C,
     defaulting, locale,, set, to), /usr/share/libretro/assets/glui(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/menu_widgets(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/nxrgui(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/nxrgui/menu(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/nxrgui/overlay(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/nxrgui/splash(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/ozone(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/ozone/png(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/ozone/png/dark(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/ozone/png/icons(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/ozone/png/light(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/ozone/png/sidebar(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/pkg(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/pkg/wiiu(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/rgui(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/rgui/wallpaper(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/sounds(Failed, C, defaulting, locale,, set,
     to), /usr/share/libretro/assets/switch(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/switch/menu_retroarch(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/wallpapers/bichromatic
     pads(Failed, C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers/bichromatic
     pads/1440x900(Failed, C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers/emulationstation blured(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers/emulationstation
     blured/1280x720(Failed, C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers/posterized consoles(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/wallpapers/posterized
     consoles/1440x900(Failed, C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb(Failed, C, defaulting, locale,, set,
     to), /usr/share/libretro/assets/xmb/automatic(Failed, C, defaulting,
     locale,, set, to),
     /usr/share/libretro/assets/xmb/automatic/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/dot-art(Failed, C,
     defaulting, locale,, set, to), /usr/share/libretro/assets/xmb/dot-
     art/png(Failed, C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/flatui(Failed, C, defaulting, locale,,
     set, to), /usr/share/libretro/assets/xmb/flatui/png(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/monochrome(Failed, C, defaulting,
     locale,, set, to),
     /usr/share/libretro/assets/xmb/monochrome/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/neoactive(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/neoactive/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/pixel(Failed, C,
     defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/pixel/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/retroactive(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/retroactive/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/retrosystem(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/retrosystem/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/libretro/assets/xmb/systematic(Failed,
     C, defaulting, locale,, set, to),
     /usr/share/libretro/assets/xmb/systematic/png(Failed, C, defaulting,
     locale,, set, to), /usr/share/doc/retroarch(Failed, C, defaulting,
     locale,, set, to), /usr/share/licenses/retroarch(Failed, C,
     defaulting, locale,, set, to)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     retroarch-assets
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: retroarch-1.8.1-10.fc32.x86_64.rpm
          retroarch-assets-1.8.1-10.fc32.noarch.rpm
          retroarch-filters-1.8.1-10.fc32.x86_64.rpm
          retroarch-debuginfo-1.8.1-10.fc32.x86_64.rpm
          retroarch-debugsource-1.8.1-10.fc32.x86_64.rpm
          retroarch-1.8.1-10.fc32.src.rpm
retroarch.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch-assets.noarch: W: no-documentation
retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
retroarch-assets.noarch: E: non-executable-script /usr/share/libretro/assets/xmb/convert.sh 644 /bin/sh 
retroarch-filters.x86_64: W: no-documentation
retroarch-filters.x86_64: W: desktopfile-without-binary /usr/share/applications/org.libretro.RetroArch.desktop retroarch
retroarch.src: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.src: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.src: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.src: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch.src:128: W: unversioned-explicit-provides bundled(inter-ui-fonts)
retroarch.src:129: W: unversioned-explicit-provides bundled(metrophobic-fonts)
retroarch.src:130: W: unversioned-explicit-provides bundled(sf-atarian-system-fonts)
retroarch.src:131: W: unversioned-explicit-provides bundled(titilium-web-fonts)
retroarch.src:165: W: configure-without-libdir-spec
6 packages and 0 specfiles checked; 2 errors, 18 warnings.




Rpmlint (debuginfo)
-------------------
Checking: retroarch-filters-debuginfo-1.8.1-10.fc32.x86_64.rpm
          retroarch-debuginfo-1.8.1-10.fc32.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
retroarch.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-debugsource.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-filters-debuginfo.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-assets.noarch: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-assets.noarch: W: no-documentation
retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
retroarch-assets.noarch: E: non-executable-script /usr/share/libretro/assets/xmb/convert.sh 644 /bin/sh 
retroarch-debuginfo.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-filters.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-filters.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 2 errors, 13 warnings.



Unversioned so-files
--------------------
retroarch-filters: /usr/lib64/retroarch/filters/audio/chorus.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/crystalizer.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/echo.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/eq.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/iir.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/panning.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/phaser.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/reverb.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/tremolo.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/vibrato.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/wahwah.so
retroarch-filters: /usr/lib64/retroarch/filters/video/2xbr.so
retroarch-filters: /usr/lib64/retroarch/filters/video/2xsai.so
retroarch-filters: /usr/lib64/retroarch/filters/video/blargg_ntsc_snes.so
retroarch-filters: /usr/lib64/retroarch/filters/video/darken.so
retroarch-filters: /usr/lib64/retroarch/filters/video/epx.so
retroarch-filters: /usr/lib64/retroarch/filters/video/lq2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/normal2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/phosphor2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/scale2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/scanline2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/super2xsai.so
retroarch-filters: /usr/lib64/retroarch/filters/video/supereagle.so

Source checksums
----------------
https://raw.githubusercontent.com/flathub/org.libretro.RetroArch/06be0a83a01514a675f5492db5ceb1f81a9dae68/org.libretro.RetroArch.appdata.xml :
  CHECKSUM(SHA256) this package     : 50789e7cbd950add5aae3af20b12ff293f492a82285ce91616f414bf4b2e0615
  CHECKSUM(SHA256) upstream package : 50789e7cbd950add5aae3af20b12ff293f492a82285ce91616f414bf4b2e0615
https://github.com/libretro/retroarch-assets/archive/c2bbf234195bbad91c827337a2fb2b5bc727407b/retroarch-assets-1.8.1.20191031gitc2bbf23.tar.gz :
  CHECKSUM(SHA256) this package     : 0022eb8431e724e6050e217fef141d63a0977567b2c33a52b4ed0b39c96a194b
  CHECKSUM(SHA256) upstream package : 0022eb8431e724e6050e217fef141d63a0977567b2c33a52b4ed0b39c96a194b
https://github.com/libretro/RetroArch/archive/v1.8.1/retroarch-1.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : cd4e403042fd923e0669014bd716c4beef340d60001007f8cfacff11f33cb0e7
  CHECKSUM(SHA256) upstream package : cd4e403042fd923e0669014bd716c4beef340d60001007f8cfacff11f33cb0e7


Requires
--------
retroarch (rpmlib, GLIBC filtered):
    /usr/bin/python3
    config(retroarch)
    libEGL.so.1()(64bit)
    libGL.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libSDL2-2.0.so.0()(64bit)
    libX11-xcb.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXxf86vm.so.1()(64bit)
    libass.so.9()(64bit)
    libc.so.6()(64bit)
    libcaca.so.0()(64bit)
    libcrypto.so.1.1()(64bit)
    libdl.so.2()(64bit)
    libdrm.so.2()(64bit)
    libfreetype.so.6()(64bit)
    libgbm.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libssl.so.1.1()(64bit)
    libssl.so.1.1(OPENSSL_1_1_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libusb-1.0.so.0()(64bit)
    libv4l2.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    rtld(GNU_HASH)

retroarch-assets (rpmlib, GLIBC filtered):
    dejavu-sans-mono-fonts
    retroarch

retroarch-filters (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    retroarch(x86-64)
    rtld(GNU_HASH)

retroarch-debuginfo (rpmlib, GLIBC filtered):

retroarch-debugsource (rpmlib, GLIBC filtered):



Provides
--------
retroarch:
    config(retroarch)
    retroarch
    retroarch(x86-64)

retroarch-assets:
    bundled(inter-ui-fonts)
    bundled(metrophobic-fonts)
    bundled(sf-atarian-system-fonts)
    bundled(titilium-web-fonts)
    retroarch-assets

retroarch-filters:
    application()
    application(org.libretro.RetroArch.desktop)
    metainfo()
    metainfo(org.libretro.RetroArch.appdata.xml)
    retroarch-filters
    retroarch-filters(x86-64)

retroarch-debuginfo:
    debuginfo(build-id)
    retroarch-debuginfo
    retroarch-debuginfo(x86-64)

retroarch-debugsource:
    retroarch-debugsource
    retroarch-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1778299
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Java, Haskell, R, Ocaml, Perl, PHP, fonts, Python, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 15 Vitaly Zaitsev 2019-12-02 18:08:55 UTC
1. Directories without known owners:

> /usr/share/libretro

%dir %{_datadir}/libretro to assets subpackage.

> /usr/share/licenses/retroarch-assets

%dir %{_licensedir}/%{appname}-assets to assets subpackage.

> /usr/lib64/retroarch

%dir %{_libdir}/%{appname} to filters subpackage.

2. Avoid bundling fonts in non-fonts packages.

According to Fedora Fonts Guidelines, fonts should be unbundled.

3. Rpmlint errors:

> retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
> retroarch-assets.noarch: E: non-executable-script /usr/share/libretro/assets/xmb/convert.sh 644 /bin/sh

Must be fixed.

Comment 16 Vitaly Zaitsev 2019-12-02 18:17:24 UTC
4. All bundled dependencies from ./deps should be unbundled.

Comment 17 Neal Gompa 2019-12-02 18:52:38 UTC
The freeworld subpackage is not defined at all, thus the freeworld bcond will not work. Please fix that.

Comment 18 Artem 2019-12-02 19:01:15 UTC
(In reply to Neal Gompa from comment #17)
> The freeworld subpackage is not defined at all, thus the freeworld bcond
> will not work. Please fix that.

Neal, did you tried latest build? I tried it right now and both compiles and run fine. You need to install 'mock-rpmfusion-nonfree' package for freeworld version.

Comment 19 Artem 2019-12-02 19:03:50 UTC
And for freeworld package you need free version as well. It depend on it.

Comment 20 Artem 2019-12-03 15:07:28 UTC
Neal, now you can compile 'freeworld' version without 'mock-rpmfusion-nonfree'.

> 1. Directories without known owners:

Fixed.

> 2. Avoid bundling fonts in non-fonts packages.

Unbundled only safe for remove, the rest impossible because some things goes broken without fonts.

> 3. Rpmlint errors:

> retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
> retroarch-assets.noarch: E: non-executable-script /usr/share/libretro/assets/xmb/convert.sh 644 /bin/sh

Fixed and notified upstream. Links in spec file.

> 4. All bundled dependencies from ./deps should be unbundled.

That's not possible at all. Only few unbundled. Provided links to upstream in spec files why some things bundled.


https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01122991-retroarch/retroarch.spec

https://copr-be.cloud.fedoraproject.org/results/atim/retroarch/fedora-31-x86_64/01122991-retroarch/retroarch-1.8.1-11.fc31.src.rpm

Comment 21 Vitaly Zaitsev 2019-12-03 16:23:59 UTC
> Fixed.

1. Not completely. It still does not own base %{_libdir}/%{appname} directory.

> That's not possible at all. Only few unbundled. Provided links to upstream in spec files why some things bundled.

2. You must unbundle at least mbedtls due to lots of critical CVE vulnerabilities in bundled version and possible US Export Restrictions.

3. desktop file and metadata accidentally moved to filters subpackage. Please fix it.

4. W: invalid-license GPLv2 CC-BY

Comment 23 Vitaly Zaitsev 2019-12-03 18:44:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     retroarch-assets
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: retroarch-1.8.1-12.fc32.x86_64.rpm
          retroarch-assets-1.8.1-12.fc32.noarch.rpm
          retroarch-filters-1.8.1-12.fc32.x86_64.rpm
          retroarch-debuginfo-1.8.1-12.fc32.x86_64.rpm
          retroarch-debugsource-1.8.1-12.fc32.x86_64.rpm
          retroarch-1.8.1-12.fc32.src.rpm
retroarch.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch-assets.noarch: W: no-documentation
retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
retroarch-filters.x86_64: W: no-documentation
retroarch.src: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.src: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.src: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.src: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch.src:171: W: unversioned-explicit-provides bundled(discord-rpc)
retroarch.src:172: W: unversioned-explicit-provides bundled(dr)
retroarch.src:173: W: unversioned-explicit-provides bundled(glslang)
retroarch.src:174: W: unversioned-explicit-provides bundled(ibxm)
retroarch.src:180: W: unversioned-explicit-provides bundled(SPIRV-Cross)
retroarch.src:181: W: unversioned-explicit-provides bundled(stb)
retroarch.src:205: W: unversioned-explicit-provides bundled(inter-ui-fonts)
retroarch.src:206: W: unversioned-explicit-provides bundled(metrophobic-fonts)
retroarch.src:207: W: unversioned-explicit-provides bundled(sf-atarian-system-fonts)
retroarch.src:208: W: unversioned-explicit-provides bundled(titilium-web-fonts)
retroarch.src:261: W: configure-without-libdir-spec
retroarch.src: W: invalid-url Source2: https://raw.githubusercontent.com/flathub/org.libretro.RetroArch/c2bbf234195bbad91c827337a2fb2b5bc727407b/org.libretro.RetroArch.appdata.xml HTTP Error 404: Not Found
6 packages and 0 specfiles checked; 1 errors, 24 warnings.




Rpmlint (debuginfo)
-------------------
Checking: retroarch-debuginfo-1.8.1-12.fc32.x86_64.rpm
          retroarch-filters-debuginfo-1.8.1-12.fc32.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
retroarch-assets.noarch: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-assets.noarch: W: no-documentation
retroarch-assets.noarch: E: incorrect-fsf-address /usr/share/libretro/assets/xmb/NPMApng2PMApng.py
retroarch-filters-debuginfo.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error Summary(en_US) libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US libretro -> libretto, lib retro, lib-retro
retroarch.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
retroarch.x86_64: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle
retroarch.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-filters.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-filters.x86_64: W: no-documentation
retroarch-debuginfo.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
retroarch-debugsource.x86_64: W: invalid-url URL: https://www.libretro.com/ <urlopen error [Errno -2] Name or service not known>
6 packages and 0 specfiles checked; 1 errors, 13 warnings.



Unversioned so-files
--------------------
retroarch-filters: /usr/lib64/retroarch/filters/audio/chorus.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/crystalizer.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/echo.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/eq.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/iir.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/panning.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/phaser.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/reverb.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/tremolo.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/vibrato.so
retroarch-filters: /usr/lib64/retroarch/filters/audio/wahwah.so
retroarch-filters: /usr/lib64/retroarch/filters/video/2xbr.so
retroarch-filters: /usr/lib64/retroarch/filters/video/2xsai.so
retroarch-filters: /usr/lib64/retroarch/filters/video/blargg_ntsc_snes.so
retroarch-filters: /usr/lib64/retroarch/filters/video/darken.so
retroarch-filters: /usr/lib64/retroarch/filters/video/epx.so
retroarch-filters: /usr/lib64/retroarch/filters/video/lq2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/normal2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/phosphor2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/scale2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/scanline2x.so
retroarch-filters: /usr/lib64/retroarch/filters/video/super2xsai.so
retroarch-filters: /usr/lib64/retroarch/filters/video/supereagle.so

Source checksums
----------------
https://github.com/libretro/retroarch-assets/archive/c2bbf234195bbad91c827337a2fb2b5bc727407b/retroarch-assets-1.8.1.20191031gitc2bbf23.tar.gz :
  CHECKSUM(SHA256) this package     : 0022eb8431e724e6050e217fef141d63a0977567b2c33a52b4ed0b39c96a194b
  CHECKSUM(SHA256) upstream package : 0022eb8431e724e6050e217fef141d63a0977567b2c33a52b4ed0b39c96a194b
https://github.com/libretro/RetroArch/archive/v1.8.1/retroarch-1.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : cd4e403042fd923e0669014bd716c4beef340d60001007f8cfacff11f33cb0e7
  CHECKSUM(SHA256) upstream package : cd4e403042fd923e0669014bd716c4beef340d60001007f8cfacff11f33cb0e7


Requires
--------
retroarch (rpmlib, GLIBC filtered):
    /usr/bin/python3
    config(retroarch)
    libEGL.so.1()(64bit)
    libFLAC.so.8()(64bit)
    libGL.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libSDL2-2.0.so.0()(64bit)
    libX11-xcb.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXxf86vm.so.1()(64bit)
    libass.so.9()(64bit)
    libc.so.6()(64bit)
    libcaca.so.0()(64bit)
    libcrypto.so.1.1()(64bit)
    libdl.so.2()(64bit)
    libdrm.so.2()(64bit)
    libfreetype.so.6()(64bit)
    libgbm.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libmbedcrypto.so.3()(64bit)
    libmbedtls.so.12()(64bit)
    libmbedx509.so.0()(64bit)
    libminiupnpc.so.17()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libssl.so.1.1()(64bit)
    libssl.so.1.1(OPENSSL_1_1_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libusb-1.0.so.0()(64bit)
    libv4l2.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

retroarch-assets (rpmlib, GLIBC filtered):
    /usr/bin/sh
    dejavu-sans-mono-fonts
    retroarch

retroarch-filters (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    retroarch(x86-64)
    rtld(GNU_HASH)

retroarch-debuginfo (rpmlib, GLIBC filtered):

retroarch-debugsource (rpmlib, GLIBC filtered):



Provides
--------
retroarch:
    application()
    application(org.libretro.RetroArch.desktop)
    bundled(7zip)
    bundled(SPIRV-Cross)
    bundled(discord-rpc)
    bundled(dr)
    bundled(glslang)
    bundled(ibxm)
    bundled(lua)
    bundled(rcheevos)
    bundled(stb)
    config(retroarch)
    metainfo()
    metainfo(org.libretro.RetroArch.appdata.xml)
    retroarch
    retroarch(x86-64)

retroarch-assets:
    bundled(inter-ui-fonts)
    bundled(metrophobic-fonts)
    bundled(sf-atarian-system-fonts)
    bundled(titilium-web-fonts)
    retroarch-assets

retroarch-filters:
    retroarch-filters
    retroarch-filters(x86-64)

retroarch-debuginfo:
    debuginfo(build-id)
    retroarch-debuginfo
    retroarch-debuginfo(x86-64)

retroarch-debugsource:
    retroarch-debugsource
    retroarch-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1778299
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: SugarActivity, fonts, R, Perl, Haskell, Java, PHP, Ocaml, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 24 Vitaly Zaitsev 2019-12-03 18:46:25 UTC
LGTM now. Package approved.

Comment 25 Gwyn Ciesla 2019-12-03 19:07:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/retroarch

Comment 26 Fedora Update System 2019-12-04 14:56:49 UTC
FEDORA-2019-26af79407a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-26af79407a

Comment 27 Fedora Update System 2019-12-05 01:23:41 UTC
retroarch-1.8.1-14.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-26af79407a

Comment 28 Fedora Update System 2019-12-13 00:54:18 UTC
retroarch-1.8.1-14.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.